using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllMapProjectMenu
    {
        private DaoAchieve.MapProjectMenuDaoAchieve _CurrentDao = null;
        internal DaoAchieve.MapProjectMenuDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.MapProjectMenuDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllMapProjectMenu()
        {
            
        }
    
        #region Service Bll
        public int Save(MapProjectMenu entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<MapProjectMenu> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(MapProjectMenu entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<MapProjectMenu> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<MapProjectMenu> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public MapProjectMenu Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaMapProjectMenu mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<MapProjectMenu> Fetch(PushPlatform.Data.Criteria.CriteriaMapProjectMenu mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<MapProjectMenu>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

